Plain Old Favorites 1.2.1 available from Homepage Rated 5 out of 5 stars

With the arrival of Firefox/Pale Moon 15.0 this week for the first time I found POF's was showing as "not compatible" in the Add-ons Manager. I sorted out Pale Moon compatibility using the method posted below to change "maxVersion" number in POF's "install.rdf" file...... BUT then discovered there was no need - a compatible version already exists!
First use "Remove" button in Add-ons Manager/Extensions to uninstall "incompatible" POF's version 1.2. Then go to POF's Homepage @ http://www.iosart.com/firefox/plainoldfavorites/ and click on link "Install Plain Old Favorites 1.2" (yellow script near top of page, beside picture) which will actually install updated POF's version 1.2.1 straight into Add-ons Manager in normal way. (Alternative method is to Right Click on link, download "POF's_1.2.1.xpi" file to your computer and then simply drag/drop file onto open browser window - which starts normal Add-ons install sequence.)
POF's 1.2.1.already has "maxVersion" increased to 99.0.* so no need to change anything to make it compatible with latest Firefox/Pale Moon 15.0 - all seems to work as before - Hooray!
VMT (Very Many Thanks) to Alex Sirota for creating my No1 Add-on. Any chance of an update and fix for the "Organize Favorites' opens a blank window with IE8" Known Issue? Would be a real boon on my old XP machine! Works like a dream on Windows 7 though - thanks again.

PS. Pale Moon is a custom built and optimized Firefox-based (ie; same Mozilla code) browser for Windows only. Try it!